<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
Copyright (C) 2012 Álvaro Cortijo García

Permission is hereby granted, free of charge, to any person obtaining a 
copy of this software and associated documentation files (the "Software"), 
to deal in the Software without restriction, including without limitation 
the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the 
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in 
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN 
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-->
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.example.org/tradeIncome/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="tradeIncome" targetNamespace="http://www.example.org/tradeIncome/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://www.example.org/tradeIncome/">
      <xsd:element name="ManagementOperation">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="requestDate" type="xsd:date"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="ManagementOperationResponse">
        <xsd:complexType>
          <xsd:sequence>
          	<xsd:element name="profits" type="xsd:double"></xsd:element>
          	<xsd:element name="income" type="xsd:double"></xsd:element>
          	<xsd:element name="costs" type="xsd:double"></xsd:element>
          	<xsd:element name="profitPass" type="xsd:string"></xsd:element>
          	<xsd:element name="bestSection"
          		type="tns:bestSectionType">
          	</xsd:element>
          	<xsd:element name="totalStock" type="xsd:int"></xsd:element>
          	<xsd:element name="deals"
          		type="tns:managementOffersType">
          	</xsd:element>
          	<xsd:element name="advertising" type="tns:adsType"></xsd:element>
          	<xsd:element name="marketing" type="xsd:string"></xsd:element>
          	<xsd:element name="reports" type="xsd:string"></xsd:element>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="RankOperation">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="requestDate" type="xsd:date"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="RankOperationResponse">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="profitsAmount" type="xsd:double"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="EstablishmentsControlOperation">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="controlInformation"
      				type="xsd:string">
      			</xsd:element>
                        <xsd:element name="controlDate" type="xsd:date"></xsd:element>
                    </xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="EstablishmentOperation">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="collectionDate" type="xsd:date"></xsd:element>
      			<xsd:element name="earnings"
      				type="tns:earningsType">
      			</xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
    
      <xsd:complexType name="earningsType">
      	<xsd:sequence>
      		<xsd:element name="section" type="tns:sectionType" minOccurs="0" maxOccurs="unbounded"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="sectionType">
      	<xsd:sequence>
      		<xsd:element name="total" type="xsd:double"></xsd:element>
      		<xsd:element name="costs" type="tns:costsType" maxOccurs="unbounded"></xsd:element>
      	</xsd:sequence>
      	<xsd:attribute name="name" type="xsd:string"></xsd:attribute>
      </xsd:complexType>

      <xsd:complexType name="costsType">
      	<xsd:sequence>
      		<xsd:element name="total" type="xsd:double"></xsd:element>
      		<xsd:element name="stock" type="xsd:int"></xsd:element>
      	</xsd:sequence>
      	<xsd:attribute name="name" type="xsd:string"></xsd:attribute>
      </xsd:complexType>

      <xsd:complexType name="bestSectionType">
      	<xsd:sequence>
      		<xsd:element name="name" type="xsd:string"></xsd:element>
      		<xsd:element name="establishment" type="xsd:int"></xsd:element>
      		<xsd:element name="profits" type="xsd:double"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:element name="ManagementOperationFault">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="ManagementFault"
      				type="xsd:string">
      			</xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="RankOperationFault">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="RankFault"
      				type="xsd:string">
      			</xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="ManagementAbortOperation">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="abortDate" type="xsd:date"></xsd:element>
      			<xsd:element name="reason" type="xsd:string"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
          <xsd:element name="AccountingOperation">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="accountingDate" type="xsd:date"></xsd:element>
      			<xsd:element name="taxation" type="xsd:double"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>

          <xsd:element name="OffersOperation">
          	<xsd:complexType>
          		<xsd:sequence>
          			<xsd:element name="offerDate" type="xsd:date">
          			</xsd:element>
          			<xsd:element name="offers"
          				type="tns:offersType">
          			</xsd:element>
          		</xsd:sequence>
          	</xsd:complexType>
          </xsd:element>
   
          <xsd:complexType name="offerType">
          	<xsd:sequence>
          		<xsd:element name="section" type="xsd:string"></xsd:element>
          		<xsd:element name="percent" type="xsd:double"></xsd:element>
          	</xsd:sequence>
          </xsd:complexType>
          <xsd:element name="AdvertisingOperation">
          	<xsd:complexType>
          		<xsd:sequence>
          			<xsd:element name="advertisingDate"
          				type="xsd:date">
          			</xsd:element>
          			<xsd:element name="advertising"
          				type="tns:adsType" maxOccurs="1"
          				minOccurs="1">
          			</xsd:element>
          		</xsd:sequence>
          	</xsd:complexType>
          </xsd:element>
    
          <xsd:complexType name="advertisingType">
          	<xsd:sequence>
          		<xsd:element name="media" type="xsd:string"></xsd:element>
          		<xsd:element name="cost" type="xsd:double"></xsd:element>
          	</xsd:sequence>
          </xsd:complexType>

          <xsd:complexType name="offersType">
          	<xsd:sequence>
          		<xsd:element name="offer" type="tns:offerType" maxOccurs="unbounded" minOccurs="0"></xsd:element>
          	</xsd:sequence>
          </xsd:complexType>
    
          <xsd:complexType name="adsType">
          	<xsd:sequence>
          		<xsd:element name="ad" type="tns:advertisingType" maxOccurs="unbounded" minOccurs="0"></xsd:element>
          	</xsd:sequence>
          </xsd:complexType>
    
          <xsd:complexType name="managementOffersType">
          	<xsd:sequence>
          		<xsd:element name="sectionsUnits" type="xsd:int"></xsd:element>
          		<xsd:element name="offers" type="tns:offersType"></xsd:element>
          	</xsd:sequence>
          </xsd:complexType>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="ManagementOperationRequest">
    <wsdl:part element="tns:ManagementOperation" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="ManagementOperationResponse">
    <wsdl:part element="tns:ManagementOperationResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="RankOperationRequest">
  	<wsdl:part name="parameters" element="tns:RankOperation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="RankOperationResponse">
  	<wsdl:part name="parameters" element="tns:RankOperationResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="EstablishmentsControlOperationRequest">
  	<wsdl:part name="parameters" element="tns:EstablishmentsControlOperation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="EstablishmentOperationRequest">
  	<wsdl:part name="parameters" element="tns:EstablishmentOperation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="ManagementOperationFault">
  	<wsdl:part name="parameters" element="tns:ManagementOperationFault"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="RankOperationFault">
  	<wsdl:part name="parameters" element="tns:RankOperationFault"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="ManagementAbortOperationRequest">
  	<wsdl:part name="parameters" element="tns:ManagementAbortOperation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="AccountingOperationRequest">
  	<wsdl:part name="parameters" element="tns:AccountingOperation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="OffersOperationRequest">
  	<wsdl:part name="parameters" element="tns:OffersOperation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdvertisingOperationRequest">
  	<wsdl:part name="parameters" element="tns:AdvertisingOperation"></wsdl:part>
  </wsdl:message>
  <wsdl:portType name="ManagementPT">
    <wsdl:operation name="ManagementOperation">
      <wsdl:input message="tns:ManagementOperationRequest"/>
      <wsdl:output message="tns:ManagementOperationResponse"/>
            <wsdl:fault name="managementfault" message="tns:ManagementOperationFault"></wsdl:fault>
        </wsdl:operation>
    <wsdl:operation name="ManagementAbortOperation">
    	<wsdl:input message="tns:ManagementAbortOperationRequest"></wsdl:input>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="RankPT">
  	<wsdl:operation name="RankOperation">
  		<wsdl:input message="tns:RankOperationRequest"></wsdl:input>
  		<wsdl:output message="tns:RankOperationResponse"></wsdl:output>
            <wsdl:fault name="rankfault" message="tns:RankOperationFault"></wsdl:fault>
        </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="EstablishmentsControlPT">
  	<wsdl:operation name="EstablishmentsControlOperation">
  		<wsdl:input message="tns:EstablishmentsControlOperationRequest"></wsdl:input>
  	</wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="EstablishmentPT">
  	<wsdl:operation name="EstablishmentOperation">
  		<wsdl:input message="tns:EstablishmentOperationRequest"></wsdl:input>
  	</wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="AccountingPT">
  	<wsdl:operation name="AccountingOperation">
  		<wsdl:input message="tns:AccountingOperationRequest"></wsdl:input>
  	</wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="MarketingPT">
  	<wsdl:operation name="OffersOperation">
  		<wsdl:input message="tns:OffersOperationRequest"></wsdl:input>
  	</wsdl:operation>
  	<wsdl:operation name="AdvertisingOperation">
  		<wsdl:input message="tns:AdvertisingOperationRequest"></wsdl:input>
  	</wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="ManagementBinding" type="tns:ManagementPT">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="ManagementOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/ManagementOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="managementfault">
  			<soap:fault use="literal" name="managementfault" />
  		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="ManagementAbortOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/ManagementAbortOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="RankBinding" type="tns:RankPT">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="RankOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/RankOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="rankfault">
  			<soap:fault use="literal" name="rankfault" />
  		</wsdl:fault>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="EstablishmentsControlBinding"
  	type="tns:EstablishmentsControlPT">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="EstablishmentsControlOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/EstablishmentsControlOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="EstablishmentBinding"
  	type="tns:EstablishmentPT">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="EstablishmentOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/EstablishmentOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="AccountingBinding" type="tns:AccountingPT">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="AccountingOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/AccountingOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="MarketingBinding" type="tns:MarketingPT">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="OffersOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/OffersOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  	</wsdl:operation>
  	<wsdl:operation name="AdvertisingOperation">
  		<soap:operation
  			soapAction="http://www.example.org/tradeIncome/AdvertisingOperation" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ManagementService">
    <wsdl:port binding="tns:ManagementBinding" name="ManagementPort">
      <soap:address location="http://localhost:8080/active-bpel/services/ManagementService"/>
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="RankService">
  	<wsdl:port name="RankPort" binding="tns:RankBinding">
  		<soap:address location="http://www.example.org/" />
  	</wsdl:port>
  </wsdl:service>
  <wsdl:service name="EstablishmentsControlService">
  	<wsdl:port name="EstablishmentsControlPort" binding="tns:EstablishmentsControlBinding">
  		<soap:address location="http://www.example.org/" />
  	</wsdl:port>
  </wsdl:service>
  <wsdl:service name="Establishment1Service">
  	<wsdl:port name="Establishment1Port" binding="tns:EstablishmentBinding">
  		<soap:address location='http://localhost:8080/active-bpel/services/Establishment1Service' />
  	</wsdl:port>
  </wsdl:service>
  <wsdl:service name="Establishment2Service">
  	<wsdl:port name="Establishment2Port" binding="tns:EstablishmentBinding">
  		<soap:address location="http://localhost:8080/active-bpel/services/Establishment2Service" />
  	</wsdl:port>
  </wsdl:service>
  <wsdl:service name="AccountingService">
  	<wsdl:port name="AccountingPort" binding="tns:AccountingBinding">
  		<soap:address location="http://localhost:8080/active-bpel/services/AccountingService" />
  	</wsdl:port>
  </wsdl:service>
  <wsdl:service name="MarketingService">
  	<wsdl:port name="MarketingPort" binding="tns:MarketingBinding">
  		<soap:address location="http://localhost:8080/active-bpel/services/MarketingService" />
  	</wsdl:port>
  </wsdl:service>
</wsdl:definitions>
